import { system } from '@minecraft/server';
export function applyDamageOverTime(entities, interval_ticks, damage, repetitions) {
    for (let i = 0; i < repetitions; i++) {
        system.waitTicks(interval_ticks * (i + 1)).then(() => {
            entities.forEach((entity) => {
                entity.entity.applyDamage(damage);
            });
        });
    }
}
